package com.qmai.zqtoolkit.base.scale

import android.content.Context
import com.qmai.zqtoolkit.ScaleInfo
import com.qmai.zqtoolkit.config.QmScaleBrand

/**
 * tongzi
 * 2022/4/29
 * 电子秤基本的操作
 */
interface ScaleBaseAction {
    //电子秤连接
    //appType 0是2B版本
    //20220906 brand=QmScaleType
    //         model=子型号
    //         connectType 0串口 1usb
    fun connect(
        cxt: Context? = null,
        scale: ScaleInfo
    )

    //电子秤断开连接
    fun disconnect()

    //电子秤读取数据
    fun readData()

    //电子秤停止读取数据
    fun stopReadData()

    //电子秤置零
    fun setZero()

    //电子秤去皮
    fun setNetWeight()

    //电子秤数字去皮
    fun setNetWeightByElec(tare: Double)

    //电子秤清除去皮
    fun clearTare()

    //电子秤获取配置
    fun getParameter(): Array<String>

    //是否可用
    fun isScaleSuccess(): Boolean

    fun getLastScale(): ScaleInfo?
}